@import '~@angular/material/theming';
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// **Be sure that you only ever include this mixin once!**
@include mat-core();

// Define the default theme (same as the example above).
$candy-app-primary: mat-palette($mat-grey,900);
$candy-app-accent:  mat-palette($mat-red, A200, A100, A400);
$candy-app-theme:   mat-light-theme($candy-app-primary, $candy-app-accent);

// Include the default theme styles.
@include angular-material-theme($candy-app-theme);

button:disabled {
  background-color:black;
}


body {
	font-family: Arial,Helvetica Neue,Helvetica,sans-serif;
	font-size: 22px;
	font-style: normal;
	font-variant: normal;
	font-weight: 500;
	line-height: 26.4px;
  margin: auto;
  // width: 82%;
  height: 95%;
  background-color: rgb(243, 243, 243);
}

.robotoClass {
  font-family: 'Roboto';
	font-size: 26px;
	font-style: normal;
	font-variant: normal;
	font-weight: 500;
	line-height: 26.4px;
}

h4{

  font-family: 'Roboto Slab Bold','Roboto Slab Regular','Roboto Slab';
	font-size: 26px;
	font-style: normal;
	font-variant: normal;
  font-kerning: normal;
	font-weight: 700;
	line-height: 26.4px;
}


.footerComponent {

  position: relative;
  margin-top: 3em;
  margin-bottom: 0px; /* negative value of footer height */
  clear: both;
  width : 100%;
  border: 2px solid black;

}

.noMarginsPaddings {

margin: 0;
padding: 0;

}


.snackBarError {
background-color: red !important
}
.snackBarSuccess {
background-color: green !important
}
.snackBarConcurrency {
background-color: blue !important

}

.snackBartext {

color : black !important

}


.spinner-small {
  height: 40px !important;
  width: 40px !important;
}

.borderLeft{
    border-right: thick double #ff0000;
}

.borderBottom{
    margin-left: 1em;
    margin-right:1em;
    border-bottom-color: rgb(244, 67, 54);
    border-bottom-style: dashed;
    border-bottom-width: 1px;
    padding-bottom:0.2em;

}

.pullMeRight{
 float: right;
}
.pullMeLeft{
 float: left;
}
.pullMeMiddle{
 text-align: center;
}

a{
  color: rgb(255, 82, 82);
  text-decoration:none;
  cursor: pointer;
}

a:hover {
    color: rgb(96, 125, 139);
    text-decoration: underline;
    cursor: pointer;
}

.component-correct-width {
  width: 82%;
  margin: auto;
}

.big-spinner {
  width: 200px !important;
  height: 200px !important;
  margin: auto;
  margin-top: 8em;
  margin-bottom:16em;
}

/* Classes needed for the display of a stock profile picture for the cases the user doesn't have any */

.circle {

  -moz-border-radius: 50%;
  -webkit-border-radius: 50%;
  border-radius: 50%;
  background-color: rgb(255, 82, 82);
}

.header-avatar {
  width: 92px;
  height: 92px;
}

.user-big-icon {
  font-size: 85px;
  position: relative;
  top: 3px;
  left: 2px;
  color: white;
}

.no-profile-pic {
  width: 90px;
  height: 90px;
}

.red-line {
  color: rgb(255, 82, 82);
  height: 1px;
  background:rgb(255, 82, 82);
  font-size: 0;
  border: 0;
  margin-bottom: 15px;
  margin-top: 5px;
}

.smaller-font {
  font-style: italic;
}

a.quote-link {
  color: white;
}

a.quote-link:hover {
  color: tomato;
}
